#ifndef DUCKS_H
#define DUCKS_H

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

typedef enum {
    FLY_WINGS, ROCKET, NO_FLY
} FlyType;

typedef enum {
    SQUEACK, SILENCE, QUACK
} QuackType;

typedef struct duck{
    char * name;
    void (*fly) (void);
    void (*quack) (void);
} Duck;

void simulate_duck (Duck * duck);

//quack behaviours
void quack (); 
void squeak ();
void mute_quack ();

//fly behaviours
void fly_wings ();
void no_fly ();
void fly_rocket ();

#endif