#include "ducks.h"

int main () {
    int i;
    
    Duck ducks [4];
    ducks[0].name = "Mallard";
    ducks[0].fly_type = FLY_WINGS;
    ducks[0].quack_type = QUACK;
    
    ducks[1].name = "Domestic";
    ducks[1].fly_type = NO_FLY;
    ducks[1].quack_type = QUACK;
    
    ducks[2].name = "Rubber";
    ducks[2].fly_type = NO_FLY;
    ducks[2].quack_type = SQUEACK;
    
    ducks[3].name = "Wooden";
    ducks[3].fly_type = NO_FLY;
    ducks[3].quack_type = SILENCE;
    
    for (i=0; i< 4; i++){
        printf ("\nI am a %s Duck\n", ducks[i].name);
        switch (ducks[i].fly_type) {
            case FLY_WINGS:
                fly_wings ();
                break;
            case ROCKET:
                fly_rocket();
                break;
            default:#include "ducks.h"

int main () {
    int i;
    
    Duck ducks [4];
    ducks[0].name = "Mallard";
    ducks[0].fly_type = FLY_WINGS;
    ducks[0].quack_type = QUACK;
    
    ducks[1].name = "Domestic";
    ducks[1].fly_type = NO_FLY;
    ducks[1].quack_type = QUACK;
    
    ducks[2].name = "Rubber";
    ducks[2].fly_type = NO_FLY;
    ducks[2].quack_type = SQUEACK;
    
    ducks[3].name = "Wooden";
    ducks[3].fly_type = NO_FLY;
    ducks[3].quack_type = SILENCE;
    
    for (i=0; i< 4; i++){
        simulate_duck (&ducks[i]);
    }
    
    return 0;
}

void simulate_duck (Duck * duck){
    printf ("\nI am a %s Duck\n", duck->name);
    switch (duck->fly_type) {
        case FLY_WINGS:
            fly_wings ();
            break;
        case ROCKET:
            fly_rocket();
            break;
        default:
            no_fly();
    } 
    switch (duck->quack_type) {
        case SQUEACK:
            squeak ();
            break;
        case SILENCE:
            mute_quack();
            break;
        default:
            quack();
    } 
}

//quack behaviours
void quack () {
    puts ("Quack quack");
}

void squeak () {
    puts ("Squeak");
}

void mute_quack () {
    puts ("<<Silence>>");
}

//fly behaviours
void fly_wings () {
    puts ("I am flying with the wings!");
}

void no_fly () {
    puts ("I cannot fly...");
}

void fly_rocket () {
    puts ("I am flying with the rocket!!");
}
      



