#include "ducks_object.h"

int main () {
    int i;
    
    Duck ducks [4];
    ducks[0].name = "Mallard";
    ducks[0].fly = fly_wings;
    ducks[0].quack = quack;
    
    ducks[1].name = "Domestic";
    ducks[1].fly = no_fly;
    ducks[1].quack = quack;
    
    ducks[2].name = "Rubber";
    ducks[2].fly = no_fly;
    ducks[2].quack = squeak;
    
    ducks[3].name = "Wooden";
    ducks[3].fly = no_fly;
    ducks[3].quack = mute_quack;
    
    for (i=0; i< 4; i++){
        simulate_duck (&ducks[i]);
    }    
    
    return 0;
}

void simulate_duck (Duck * duck){     
    printf ("\nI am a %s Duck\n", duck->name);
    duck->fly();
    duck->quack();
}

//quack behaviours
void quack () {
    puts ("Quack quack");
}

void squeak () {
    puts ("Squeak");
}

void mute_quack () {
    puts ("<<Silence>>");
}

//fly behaviours
void fly_wings () {
    puts ("I am flying with the wings!");
}

void no_fly () {
    puts ("I cannot fly...");
}

void fly_rocket () {
    puts ("I am flying with the rocket!!");
}